
package cn.orionsec.ops.constant.app;

import lombok.AllArgsConstructor;
import lombok.Getter;


@AllArgsConstructor
@Getter
public enum ReleaseStatus {

    /**
     * 待审核
     */
    WAIT_AUDIT(10),

    /**
     * 审核驳回
     */
    AUDIT_REJECT(20),

    /**
     * 待发布
     */
    WAIT_RUNNABLE(30),

    /**
     * 待调度
     */
    WAIT_SCHEDULE(35),

    /**
     * 发布中
     */
    RUNNABLE(40),

    /**
     * 发布完成
     */
    FINISH(50),

    /**
     * 发布停止
     */
    TERMINATED(60),

    /**
     * 发布失败
     */
    FAILURE(70),

    ;

    private final Integer status;

    public static ReleaseStatus of(Integer status) {
        if (status == null) {
            return null;
        }
        for (ReleaseStatus value : values()) {
            if (value.status.equals(status)) {
                return value;
            }
        }
        return null;
    }

}
